#ifndef SERVICECLASS_H
#define SERVICECLASS_H

#include <QString>
#include <QStringList>

//Класс облегчающий поиск в списке проблемных сервисов, получает строки вида
//service_name:host1:host2:host3:...:hostN
//в качестве параметра конструктора и разделяет их на имя сервиса (переменная srvcName)
//и список интересующих хостов (переменная hostsList). Если в конструкторе
//указано только имя сервиса - список хостов будет пустым.

class ServiceClass
{
public:
	ServiceClass(QString srvcDef);
	QString		service();
	QString		allHostsAsString();
	QStringList	allHostsAsList();
	bool		isHostFound(QString srvc, QString hostName);
private:
	QString		srvcName;
	QStringList	hostsList;
};

#endif
